Subject: Re: bug#56815: 29.0.50; Isearch lazy-highlight highlights too much when truncate-lines is in effect

From: Eli Zaretskii <[email-masked]>
Date: Tue, 23 Aug 2022 15:11:42 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 23 Aug 2022 10:41:21 +0300
> 
> >>   (or truncate-lines (truncated-partial-width-window-p))
> >
> > Fine by me.
> 
> Then I'll push a better patch:

Btw, I didn't use window-total-width instead of window-width.  What I
did mimics what the display engine does when it determines whether to
truncate lines in a window.  So I think
truncated-partial-width-window-p should be fixed to use
window-total-width instead.